<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.bamafolks.games.minhatopro"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk android:minSdkVersion="8" android:targetSdkVersion="17"/>
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    <permission android:name="com.bamafolks.games.MinhatoService"></permission>
    <uses-permission android:name="com.bamafolks.games.MinhatoService" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.VIBRATE"/>

    <application
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name" android:name="Minhato"
        android:theme="@style/MinhatoProTheme"
        android:allowBackup="true">
        <activity android:label="@string/app_name" android:name="MainActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <service android:name=".service.MinhatoService" android:permission="com.bamafolks.games.MinhatoService">
            <intent-filter>
                <action android:name="com.bamafolks.games.minhatopro.MinhatoService"/>
            </intent-filter>
        </service>
        <receiver android:name=".broadcast.StartupIntentReceiver" android:permission="android.permission.RECEIVE_BOOT_COMPLETED">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
                <category android:name="android.intent.category.HOME"/>
            </intent-filter>
        </receiver>
        <receiver android:name=".broadcast.NetworkReceiver">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTION_CHANGE"/>
            </intent-filter>
        </receiver>
        <activity android:name=".activity.GameActivity" android:label="@string/game_title" android:theme="@android:style/Theme.NoTitleBar"></activity>
        <activity android:name=".activity.AboutMinhato" android:label="@string/about_title" android:theme="@android:style/Theme.Dialog"></activity>
        <activity android:name=".activity.StatsActivity" android:label="@string/stats_title"></activity>
        <activity android:name=".activity.HelpActivity" android:label="@string/history_title"></activity>
        <activity android:name=".activity.RegisterNicknameActivity" android:label="@string/register_nickname_title"></activity>
        <activity android:name=".activity.RegisterUsernameActivity" android:label="@string/register_username_title"></activity>
        <activity android:name=".activity.OnlineActivity" android:label="@string/game_select_title"></activity>
        <activity android:name=".activity.ProGameActivity" android:label="@string/app_name"></activity>
        <activity android:name=".activity.FriendsActivity" android:label="@string/friends_title"></activity>
        <activity android:name=".activity.FindFriendsActivity" android:label="@string/find_friends_title"></activity>
        <activity android:name=".activity.RegistrationActivity" android:label="@string/registration_activity_label" android:noHistory="true"></activity>
        <activity android:name=".activity.NotificationPreferencesActivity"></activity>
    </application>

</manifest>